Tutorials

Eine immer größer werdende Tutorialdatenbank.

PHP-Fusion Core

Aktuelle PHP-Fusion Vollversionen und Updates

Addon Downloads

Alle Downloads garantiert Kostenlos

Support 24/7

24 Stunden, 7 Tage die Woche, das ganze Jahr.

Thema ansehen
jquery & co Thema drucken
Benutzeravatar

Senior Mitglied


Rolly8-HL Geschrieben am 29.11.2017 um 14:29
 #1 Beitrag drucken Top
Hallo, mal wieder eine Frage.
Wozu ist eigentlich in der Fusion dieser notwendig.
Download Code  Code
src="'.INCLUDES.'jquery/jquery.js"

jQuery v1.7.2 jquery.com

kann man die einfach so gegen die
jQuery v3.2.1

austauschen?
Und in der header.php mit
Download Code  Code
add_to_footer('<script src="'.INCLUDES.'jquery/jquery.js"></script>');


aufrufen?
Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
Beiträge: 225 
http://rolly8-hl.de 
Benutzeravatar

Seiten Administrator


David Geschrieben am 29.11.2017 um 21:05
 #2 Beitrag drucken Top
Ja und Ja.

Empfehle dir aber dann auch die jscript.js (oder wie sie genau heißt) ebenfalls in den Footer einzubinden.
Liebe Grüße, David.

Aktiver PHP-Fusion Nutzer seit 3. September 2006

Beiträge: 373 
http://www.php-fusion.at/ 
Benutzeravatar

Senior Mitglied


Rolly8-HL Geschrieben am 30.11.2017 um 09:11
 #3 Beitrag drucken Top
Ja und Nein

Den Inhalt der jquery-3.2.1.min habe ich in die jquery.js gelegt.

Bin dabei eine Theme Responsive einzubinden, die aber wiederum nur dann richtig ausgegeben werden kann wenn ich das benutze.
Download Code  Code
add_to_footer('<script src="'.INCLUDES.'jquery/jquery.js"></script>');

Hoffe nur das der Rest der Core nicht darunter leiden muss.
Es sei dann das sich einige andere Infusions mit Js mit der beißen.
Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
Beiträge: 225 
http://rolly8-hl.de 
Benutzeravatar

Seiten Administrator


David Geschrieben am 02.12.2017 um 17:51
 #4 Beitrag drucken Top
Wozu soll dass gut sein?

Jquery 3.2.1 (oder welch Version auch immer) ist die neue, die andere ist die alte Version (welche im Includes Ordner original liegt).
Entweder man tauscht die Datei, oder man lässt es, nur jQuery doppelt einzubinden ist nicht von Vorteil (Ladezeiten, Traffic, etc pp).

Sollten dann allerdings gewisse Dinge in Fusion nicht mehr funktionieren, so gilt es diese anzupassen oder zu entfernen, aber nicht einfach doppelte jQuery Versionen einzubinden.

Und die ganzen Javascript-Einbindungen gehören in den Footer bei neuen Webseiten .. Wink
Liebe Grüße, David.

Aktiver PHP-Fusion Nutzer seit 3. September 2006

Beiträge: 373 
http://www.php-fusion.at/ 
Benutzeravatar

Senior Mitglied


Rolly8-HL Geschrieben am 03.12.2017 um 08:18
 #5 Beitrag drucken Top
Ja und Nein

Hatte nicht vor das zwei mal zu laden, sonder gegen eine neue zu ersetzen.
Leider musste ich feststellen das einiges in der Core nicht mehr richt laufen will, die Core will ich aber so nicht komplett ändern, nicht bei der normalen 7.2.7. und lasse es daher wie es ist.
Mein Ziel ist es eine Theme zu erstellen mit Responsive, werde mir da etwas einfallen lassen müssen.
Danke für den Tip "gehören in den Footer bei neuen Webseiten" werde es berücksichtigen, hoffe es klappt.

Besten Dank.
R8
Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
Beiträge: 225 
http://rolly8-hl.de 
Springe ins Forum:
Anzeige


© 2016 Real Space. All rights reserved | Design by W3layouts
Powered by PHP-Fusion copyright © 2002 - 2017 by Nick Jones. Released as free software without warranties under GNU Affero GPL v3.